[arch-commits] Commit in twisted/repos (4 files)
Felix Yan
felixonmars at archlinux.org
Fri Nov 18 07:58:54 UTC 2016
Date: Friday, November 18, 2016 @ 07:58:53
Author: felixonmars
Revision: 281044
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
twisted/repos/testing-i686/
twisted/repos/testing-i686/PKGBUILD
(from rev 281043, twisted/trunk/PKGBUILD)
twisted/repos/testing-x86_64/
twisted/repos/testing-x86_64/PKGBUILD
(from rev 281043, twisted/trunk/PKGBUILD)
-------------------------+
testing-i686/PKGBUILD | 90 ++++++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/PKGBUILD | 90 ++++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 180 insertions(+)
Copied: twisted/repos/testing-i686/PKGBUILD (from rev 281043, twisted/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-11-18 07:58:53 UTC (rev 281044)
@@ -0,0 +1,90 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=16.5.0
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-zope-interface' 'python2-zope-interface' 'git'
+ 'python-setuptools' 'python2-setuptools' 'python-service-identity'
+ 'python2-service-identity' 'python-incremental' 'python2-incremental'
+ 'python-constantly' 'python2-constantly')
+checkdepends=('subversion' 'python2-sphinx' 'pygtk' 'xorg-server-xvfb' 'tk' 'openssh'
+ 'python-gobject' 'python2-gobject' 'python-gobject2' 'python2-gobject2'
+ 'python2-soappy' 'python-subunit' 'python2-subunit' 'python-h2' 'python2-h2'
+ 'python-service-identity' 'python2-service-identity' 'python-crypto' 'python2-crypto')
+source=("git+https://github.com/twisted/twisted.git#tag=twisted-$pkgver")
+sha1sums=('SKIP')
+
+prepare() {
+ cp -a twisted{,-py2}
+
+ sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+ twisted-py2/src/twisted/mail/test/pop3testserver.py \
+ twisted-py2/src/twisted/trial/test/scripttest.py
+}
+
+build() {
+ cd "$srcdir"/twisted
+ python setup.py build
+
+ cd "$srcdir"/twisted-py2
+ python2 setup.py build
+}
+
+check() {
+ export LC_CTYPE=en_US.UTF-8
+
+ cd "$srcdir"/twisted
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH" xvfb-run python -m twisted.trial twisted || warning "Tests failed"
+
+ cd "$srcdir"/twisted-py2
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" xvfb-run python2 -m twisted.trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+ depends=('python-zope-interface' 'python-incremental' 'python-constantly')
+ optdepends=('python-pyopenssl: for TLS client hostname verification'
+ 'python-service-identity: for TLS client hostname verification'
+ 'python-idna: for TLS client hostname verification'
+ 'python-cryptography: for using conch'
+ 'python-h2: for http2 support'
+ 'tk: for using tkconch')
+
+ cd twisted
+ python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+
+ # twisted in python 3 supports only few command line tools for now.
+ # Let's rename the tools the other way round after the python 3 version supports all.
+ for name in trial twistd twist; do
+ mv "$pkgdir"/usr/bin/${name}{,3}
+ done
+
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-twisted() {
+ depends=('python2-zope-interface' 'python2-incremental' 'python2-constantly')
+ optdepends=('python2-pyopenssl: for TLS client hostname verification'
+ 'python2-service-identity: for TLS client hostname verification'
+ 'python2-idna: for TLS client hostname verification'
+ 'python2-cryptography: for using conch'
+ 'python2-h2: for http2 support'
+ 'python2-soappy: for twisted.web.soap'
+ 'pygtk: for using manhole'
+ 'tk: for using tkconch')
+ provides=("twisted=$pkgver")
+ conflicts=('twisted<14.0.0')
+ replaces=('twisted<14.0.0')
+
+ cd twisted-py2
+ python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
Copied: twisted/repos/testing-x86_64/PKGBUILD (from rev 281043, twisted/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-11-18 07:58:53 UTC (rev 281044)
@@ -0,0 +1,90 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=16.5.0
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-zope-interface' 'python2-zope-interface' 'git'
+ 'python-setuptools' 'python2-setuptools' 'python-service-identity'
+ 'python2-service-identity' 'python-incremental' 'python2-incremental'
+ 'python-constantly' 'python2-constantly')
+checkdepends=('subversion' 'python2-sphinx' 'pygtk' 'xorg-server-xvfb' 'tk' 'openssh'
+ 'python-gobject' 'python2-gobject' 'python-gobject2' 'python2-gobject2'
+ 'python2-soappy' 'python-subunit' 'python2-subunit' 'python-h2' 'python2-h2'
+ 'python-service-identity' 'python2-service-identity' 'python-crypto' 'python2-crypto')
+source=("git+https://github.com/twisted/twisted.git#tag=twisted-$pkgver")
+sha1sums=('SKIP')
+
+prepare() {
+ cp -a twisted{,-py2}
+
+ sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+ twisted-py2/src/twisted/mail/test/pop3testserver.py \
+ twisted-py2/src/twisted/trial/test/scripttest.py
+}
+
+build() {
+ cd "$srcdir"/twisted
+ python setup.py build
+
+ cd "$srcdir"/twisted-py2
+ python2 setup.py build
+}
+
+check() {
+ export LC_CTYPE=en_US.UTF-8
+
+ cd "$srcdir"/twisted
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-3.5:$PYTHONPATH" xvfb-run python -m twisted.trial twisted || warning "Tests failed"
+
+ cd "$srcdir"/twisted-py2
+ PYTHONPATH="$PWD/build/lib.linux-$CARCH-2.7:$PYTHONPATH" xvfb-run python2 -m twisted.trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+ depends=('python-zope-interface' 'python-incremental' 'python-constantly')
+ optdepends=('python-pyopenssl: for TLS client hostname verification'
+ 'python-service-identity: for TLS client hostname verification'
+ 'python-idna: for TLS client hostname verification'
+ 'python-cryptography: for using conch'
+ 'python-h2: for http2 support'
+ 'tk: for using tkconch')
+
+ cd twisted
+ python setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+
+ # twisted in python 3 supports only few command line tools for now.
+ # Let's rename the tools the other way round after the python 3 version supports all.
+ for name in trial twistd twist; do
+ mv "$pkgdir"/usr/bin/${name}{,3}
+ done
+
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-twisted() {
+ depends=('python2-zope-interface' 'python2-incremental' 'python2-constantly')
+ optdepends=('python2-pyopenssl: for TLS client hostname verification'
+ 'python2-service-identity: for TLS client hostname verification'
+ 'python2-idna: for TLS client hostname verification'
+ 'python2-cryptography: for using conch'
+ 'python2-h2: for http2 support'
+ 'python2-soappy: for twisted.web.soap'
+ 'pygtk: for using manhole'
+ 'tk: for using tkconch')
+ provides=("twisted=$pkgver")
+ conflicts=('twisted<14.0.0')
+ replaces=('twisted<14.0.0')
+
+ cd twisted-py2
+ python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list